Subject: bug#18035: Linum-mode + org-indent-mode results in graphical bug

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Jul 2014 19:38:02 +0300

> From: Lionel Henry <[email-masked]>
> Date: Wed, 16 Jul 2014 15:39:04 +0200
> 
> Activating both linum-mode and org-indent-mode will cause several graphical glitches in the current line.
> See http://lists.gnu.org/archive/html/emacs-orgmode/2011-01/msg01204.html

That discussion provides no reproducible recipe.

If I start "emacs -Q", visit an Org file, then invoke org-indent-mode
in that Org buffer, and finally turn on linum-mode, I see nothing like
this:

  clicking on any line in an org-mode file will cause the cursor and
  text on the line to quickly shift back a few spaces, and the line
  number for that line to disappear, and then after a fraction of a
  second it will return to normal.

When I click on a line, nothing happens, except that the cursor jumps
to the place where I clicked.

I tried with both the latest trunk and emacs-24 branch, using the
version of Org provided with each branch.

So please provide a reproducible recipe, starting from "emacs -Q", and
perhaps also an Org file where you see the problem.  If there is a
need to use a version of Org newer than the ones currently in the
Emacs repository, please tell where to get that version of Org.

Thank you.